> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Addendums

> Retrieve a list of `Addendum` objects.

You can use query parameters to filter, sort, and paginate the results.





## OpenAPI

````yaml /api-reference/services_documented/billing_reseller_api.yaml get /billing/org/v1/addendums
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: addendums
    description: Operations on client addendums
    x-displayName: addendums
  - name: calc_rules
    x-displayName: calc_rules
  - name: currencies
    x-displayName: currencies
  - name: erp-invoices
    x-displayName: erp-invoices
  - name: expenses
    description: Operations on expenses
    x-displayName: expenses
  - name: plans
    description: Operations on tariff plans and their contents
    x-displayName: plans
  - name: products
    x-displayName: products
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
    x-displayName: reports
  - name: trials
    x-displayName: trials
paths:
  /billing/org/v1/addendums:
    get:
      tags:
        - addendums
      summary: List Addendums
      description: |+
        Retrieve a list of `Addendum` objects.

        You can use query parameters to filter, sort, and paginate the results.

      operationId: v1_addendums_list
      parameters:
        - in: query
          name: active_after
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active after the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&active_after=2025-05-15 12:00:00`

            - `&active_after=2025-05-15T12:00:00Z`
        - in: query
          name: active_at
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active at the specified date-time (ISO 8601/RFC 3339
            format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**



            - `&active_at=2025-05-15 12:00:00`

            - `&active_at=2025-05-15T12:00:00Z`
        - in: query
          name: active_before
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active before the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&active_before=2025-05-15 12:00:00`

            - `&active_before=2025-05-15T12:00:00Z`
        - in: query
          name: active_end_from
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items with the end of the active period on or after the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.


            **Examples:**


            - `&active_end_from=2025-05-15 12:00:00`

            - `&active_end_from=2025-05-15T12:00:00Z`
        - in: query
          name: active_end_to
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items with the end of the active period on or before the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.


            **Examples:**


            - `&active_end_to=2025-05-15 12:00:00`

            - `&active_end_to=2025-05-15T12:00:00Z`
        - in: query
          name: active_start_from
          schema:
            type: string
            format: date-time
          description: >+
            Filter by active period.


            Returns items with the start of the active period on or after the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**


            - `&active_start_from=2025-05-15 12:00:00`

            - `&active_start_from=2025-05-15T12:00:00Z`

        - in: query
          name: active_start_to
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items with the start of the active period on or before the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**


            - `&active_start_to=2025-05-15 12:00:00`

            - `&active_start_to=2025-05-15T12:00:00Z`
        - in: query
          name: addendum_id
          schema:
            type: array
            items:
              type: string
          description: Filter by Addendum ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: client_id
          schema:
            type: array
            items:
              type: integer
              maximum: 2147483647
              minimum: -2147483648
          description: Filter by client ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: company_name
          schema:
            type: string
          description: |-
            Filter by client's company name (client's name).
            Case insensitive. Supports partial matches.
        - in: query
          name: created_after
          schema:
            type: string
            format: date-time
          description: >+
            Filter by creation date-time.


            Returns items created after the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&created_after=2025-05-15`

            - `&created_after=2025-05-15 12:00:00`

            - `&created_after=2025-05-15T12:00:00Z`

        - in: query
          name: created_before
          schema:
            type: string
            format: date-time
          description: >-
            Filter by creation date-time.


            Returns items created before the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&created_before=2025-05-15`

            - `&created_before=2025-05-15 12:00:00`

            - `&created_before=2025-05-15T12:00:00Z`
        - in: query
          name: created_on
          schema:
            type: string
            format: date
        - in: query
          name: currency_char_code
          schema:
            type: array
            items:
              type: string
          description: |-
            Filter by currency char code (e.g. USD, EUR). Can be multiple.


            Returns currencies with the specified char code.


            **Examples:**

            - `&currency_char_code=USD`
            - `&currency_char_codeEUR&currency_char_codeUSD`



            **Available values:**

            - `EUR` - Euro
            - `USD` - US Dollar
          explode: true
          style: form
        - in: query
          name: currency_id
          schema:
            type: array
            items:
              type: integer
          description: |-
            Filter by currency ID. Can be multiple.


            Returns currencies with the specified ID.


            **Examples:**

            - `&currency_id=1`
            - `&currency_id=1&currency_id=2`



            **Available values:**

            - `1` - US Dollar
            - `2` - Euro
          explode: true
          style: form
        - in: query
          name: id
          schema:
            type: integer
        - name: limit
          required: false
          in: query
          description: Number of results to return per page. Maximum is `100`.
          schema:
            type: integer
        - in: query
          name: not_active_at
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items not active at the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**


            - `&not_active_at=2025-05-15 12:00:00`

            - `&not_active_at=2025-05-15T12:00:00Z`
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: ordering
          schema:
            type: array
            items:
              type: string
              enum:
                - '-active_range_end'
                - '-active_range_start'
                - '-client_id'
                - '-created_at'
                - '-id'
                - '-plan_id'
                - '-plan_name'
                - '-product_id'
                - '-product_name'
                - active_range_end
                - active_range_start
                - client_id
                - created_at
                - id
                - plan_id
                - plan_name
                - product_id
                - product_name
          description: >-
            Ordering of the results.


            Default sort order is ascending. Put `-` before value for descending
            sort order: `-id`.


            For sorting by multiple parameters write them as comma separated
            string: `-client_id,id`.



            - `created_at` - Created at

            - `-created_at` - Created at (descending)

            - `active_range_start` - Active range start

            - `-active_range_start` - Active range start (descending)

            - `active_range_end` - Active range end

            - `-active_range_end` - Active range end (descending)

            - `id` - Id

            - `-id` - Id (descending)

            - `client_id` - Client id

            - `-client_id` - Client id (descending)

            - `plan_name` - Plan name

            - `-plan_name` - Plan name (descending)

            - `plan_id` - Plan id

            - `-plan_id` - Plan id (descending)

            - `product_name` - Product name

            - `-product_name` - Product name (descending)

            - `product_id` - Product id

            - `-product_id` - Product id (descending)
          explode: false
          style: form
        - in: query
          name: payer_id
          schema:
            type: array
            items:
              type: integer
              nullable: true
          description: Filter by payer ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: plan_id
          schema:
            type: array
            items:
              type: integer
          description: Filter by plan ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: plan_name
          schema:
            type: string
          description: Filter by plan name. Case insensitive. Supports partial matches.
        - in: query
          name: product_id
          schema:
            type: array
            items:
              type: integer
          description: |-
            Filter by product ID. Can be multiple.

            Returns products with the specified ID.

            **Examples:**

            - `&product_id=1`
            - `&product_id=1&product_id=2`



            **Available values:**

            - `1` - CDN
            - `2` - Object Storage
            - `3` - Web Security
            - `4` - Streaming
            - `5` - Cloud
            - `6` - Colocation Services
            - `7` - WG Private Cloud
            - `8` - p2p
            - `9` - DDoS Protection
            - `10` - Managed DNS
            - `11` - Other Services
            - `12` - Premium Support
            - `13` - Connectivity
            - `14` - Hosting (G-Hosting)
            - `15` - Managed Services
            - `16` - Rent
            - `17` - Software development
            - `18` - VM Ware
            - `19` - LaaS
            - `20` - AWS Cloud
            - `21` - FastEdge
            - `22` - Technical Support
            - `23` - WAAP
            - `25` - Edge Proxy
            - `32` - AI Managed Dedicated Compute
            - `65` - Gclaw
          explode: true
          style: form
        - in: query
          name: product_internal_name
          schema:
            type: array
            items:
              type: string
          description: |-
            Filter by product internal name. Can be multiple.

            Returns products with the specified internal name.

            **Examples:**

            - `&product_internal_name=CDN`
            - `&product_internal_name=CDN&product_internal_name=DNS`



            **Available values:**

            - `AI_DEDCOMP` - AI Managed Dedicated Compute
            - `AWS_CLOUD` - AWS Cloud
            - `CDN` - CDN
            - `CLOUD` - Cloud
            - `CONNECT` - Colocation Services
            - `CONNECTIVITY` - Connectivity
            - `DDOS` - Web Security
            - `DNS` - Managed DNS
            - `FAST_EDGE` - FastEdge
            - `GCLAW` - Gclaw
            - `GHOST` - Hosting (G-Hosting)
            - `INFRASTRUCTURE_PROTECTION` - DDoS Protection
            - `LAAS` - LaaS
            - `MANAGED_SERVICES` - Managed Services
            - `OTHER_SERVICES` - Other Services
            - `P2P` - p2p
            - `PREMIUM_SUPPORT` - Premium Support
            - `RENT` - Rent
            - `SHIELD_PROXY` - Edge Proxy
            - `SOFTWARE_DEVELOPMENT` - Software development
            - `STORAGE` - Object Storage
            - `STREAMING` - Streaming
            - `TECHNICAL_SUPPORT` - Technical Support
            - `VMWARE` - VM Ware
            - `WAAP` - WAAP
            - `WG_PRIVATE_CLOUD` - WG Private Cloud
          explode: true
          style: form
        - in: query
          name: product_name
          schema:
            type: string
          description: Filter by product name. Case insensitive. Supports partial matches.
        - in: query
          name: provider_id
          schema:
            type: array
            items:
              type: integer
              maximum: 2147483647
              minimum: -2147483648
          description: Filter by provider ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: reseller_id
          schema:
            type: integer
          description: Filter by reseller ID. Can be multiple.
        - in: query
          name: status
          schema:
            type: array
            items:
              type: string
              x-spec-enum-id: a6691db649b8bdef
              enum:
                - active
                - paused
                - stopped
                - upcoming
          description: |-
            Filter by addendum statuses. Can be multiple.

            - `upcoming` - upcoming
            - `active` - active
            - `paused` - paused
            - `stopped` - stopped
          explode: true
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAddendumForOrgSerializerV1List'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedAddendumForOrgSerializerV1List:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/AddendumForOrgSerializerV1'
    AddendumForOrgSerializerV1:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        client_id:
          type: integer
          readOnly: true
          description: The ID of the client associated with the addendum.
        client:
          allOf:
            - $ref: '#/components/schemas/CustomerPayerCommonShort'
          readOnly: true
          description: The client associated with the addendum.
        status:
          enum:
            - upcoming
            - active
            - paused
            - stopped
          type: string
          x-spec-enum-id: a6691db649b8bdef
          readOnly: true
          description: |-
            Addendum status

            - `upcoming` - upcoming
            - `active` - active
            - `paused` - paused
            - `stopped` - stopped
        active_range:
          allOf:
            - $ref: '#/components/schemas/DateTimeTZRange'
          readOnly: true
          description: The time range during which the addendum is active.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Date of current addendum creation
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyCommonShort'
          readOnly: true
          description: The currency used in the addendum.
        plan:
          allOf:
            - $ref: '#/components/schemas/PlanCommonShort'
          readOnly: true
          description: The plan associated with the addendum.
        product:
          allOf:
            - $ref: '#/components/schemas/ProductCommonShort'
          readOnly: true
          description: The product associated with the addendum.
        status_at_active_at:
          type: string
          nullable: true
          readOnly: true
          description: >-
            Status of the addendum at the requested `active_at` time.


            This field is not present by default, but it can be requested by
            passing the `active_at` query parameter.
      required:
        - active_range
        - client
        - client_id
        - created_at
        - currency
        - id
        - plan
        - product
        - status
        - status_at_active_at
    CustomerPayerCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        company_name:
          type: string
          readOnly: true
      required:
        - company_name
        - id
    DateTimeTZRange:
      type: object
      description: Date-time range with start and end fields.
      properties:
        start:
          type: string
          format: date-time
          nullable: true
        end:
          type: string
          format: date-time
          nullable: true
    CurrencyCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        char_code:
          type: string
          description: Currency iso4217 char code
          pattern: ^[A-Z]{3}$
          maxLength: 3
        symbol:
          type: string
          nullable: true
          description: Currency symbol, for example '$'
          maxLength: 10
      required:
        - char_code
        - id
    PlanCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
    ProductCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        internal_name:
          type: string
          maxLength: 25
      required:
        - id
        - internal_name
        - name
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````